#include "GameObject.h"



int GameObject::NumberOfObjectsCreated = 0; // t

GameObject::GameObject() // this is the default
{
	MarkForRemoval = false;
	OBJID = NumberOfObjectsCreated++; // this is really all it needs to do
}
	
GameObject::GameObject(Surface* a_Image) // uses an existing image
{
	MarkForRemoval = false;
	OBJID = NumberOfObjectsCreated++;
	Image = a_Image;
}



GameObject::GameObject(char* Filename, MyFiles* FileHandler)
{
	Image = new Surface(Filename, FileHandler);
	
	MarkForRemoval = false;

}


GameObject::~GameObject()
{
	delete Image;
	Image = 0;
}

bool GameObject::Update(Surface* s, Input* InputHandler)
{
	return true;
}


float	GameObject::DistanceFrom(GameObject* P)
{
	float XDist = P->Xpos - Xpos;
	float YDist = P->Ypos - Ypos;
	
	return (XDist*XDist) + (YDist*YDist);
	
}

